Hammer of Thyrion,
HexenWorld Master Server
Version 1.2.7
------------------------

This is a small, commandline-only program. It doesn't need any Hexen II
or HexenWorld installation. It uses 26900 as the default port.

Command line parameters:
-port xxxxx	select a port other than default (26900)

Console commands:

quit		shuts down the master server

list		lists all registered servers
clear		clears the list of registered servers

filter		lists all current IP filters. When the program receives
		packets from an IP matching a filter, the incomming IP
		is changed to the value set in the filter

filter add xxx.xxx.xxx.xxx:port xxx.xxx.xxx.xxx:port	adds a filter
filter remove xxx.xxx.xxx.xxx:port			removes a filter
filter clear						removes all filters


The source is based on previous works by Marc Allaire (aka. Kor Skarn) and
QuakeForge authors.

HWMASTER is free software;  you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free  Software  Foundation; either version 2, or (at your option) any
later version.

